TEMPLATE        = lib
CONFIG		+= plugin
#QT             += widgets

QT		+= core
QT		-= gui
QT		+= serialport
QT		+= concurrent

INCLUDEPATH	+= ../zigbeemanager

HEADERS         = zigateplugin.h \
		  interface.h \
		  version.h \
		  responseClasses.h \
	      #    library.h \
		  serial.h \
		  ../../zigbeemanager/zigbeeManagerinterface.h


SOURCES         = zigateplugin.cpp \
		  zigatecmd.cpp \
		  zigateInit.cpp \
		  #    library.cpp \
		  serial.cpp \


TARGET          = $$qtLibraryTarget(zigateplugin)
DESTDIR         = ../zigbeemanager/plugins

EXAMPLE_FILES = zigateplugin.json

# install
target.path = ../zigbeemanager/plugins
INSTALLS += target

CONFIG += install_ok  # Do not cargo-cult this!
